summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/bootstrap-prefix.sh')
-rwxr-xr-xscripts/bootstrap-prefix.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 06f78c9390..bed81f04ea 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -2039,7 +2039,8 @@ bootstrap_stage3() {
rm -f "${ROOT}"/etc/ld.so.conf.d/stage2.conf
# need special care, it depends on texinfo, #717786
- pre_emerge_pkgs --nodeps sys-apps/gawk || return 1
+ # but requires a recent readline else breaks on old, e.g. darwin9
+ pre_emerge_pkgs --nodeps sys-libs/readline sys-apps/gawk || return 1
( cd "${ROOT}"/usr/bin && test ! -e python && rm -f python${PYTHONMAJMIN} )
# Use $ROOT tools where possible from now on.